<template>
  <component :is="currentCity" />
</template>

<script lang="tsx" setup name="statisticsCallSeatsRecord">
import { defineAsyncComponent, computed } from 'vue';
import { useThemeConfig } from '@/stores/themeConfig';
import { storeToRefs } from 'pinia';

// 引入组件
const YiBin = defineAsyncComponent(() => import('@/views/statistics/call/YBSeatsRecord.vue')); // 宜宾坐席动作统计
const ZiGong = defineAsyncComponent(() => import('@/views/statistics/call/ZGSeatsRecord.vue')); // 自贡坐席动作统计
const LuZhou = defineAsyncComponent(() => import('@/views/statistics/call/ZGSeatsRecord.vue')); // 泸州坐席动作统计

const storesThemeConfig = useThemeConfig();
const { themeConfig } = storeToRefs(storesThemeConfig);

const COMPONENT_LIST = {
  YiBin,
  ZiGong,
  LuZhou,
};
// 当前地州市
const currentCity = computed(() => {
  return COMPONENT_LIST[themeConfig.value.appScope];
});
</script>
